
Shadow Plan 4.3!
----------------

We've been kept very busy with all of PalmOne's new devices, while still
adding some new features and the usual round of fixes, workarounds and
general improvements. Everyone with newer devices should update to make
sure things move along as smoothly as possible!

--[ Shadow Handheld ]--
NEW: Much faster usage on newer devices, and works around many device bugs
  while synchronizing and working with built-in PIM applications; more
  Treo 5-way support!
NEW: Checkboxes now show a 'dot' when a parent item starts to have checked
  off children items
NEW: Manual ordering of custom filters
NEW: Select which date is linked (Start, Finish, Target) - was always Target
NEW: Many little improvements, newer artwork, and workarounds for device bugs

--[ Shadow Desktop ]--
NEW: A 'text template' system for exports and clipboard pasting into other
  applications. Create your own reports, web pages, or export into other
  applications. Modify the clipboard layout when pasting into another
  program -- we always aim for configurability when you need it!
NEW: The ability to pick and choose Shadow Tags on items, for infinite
  categorization and filtering of items
NEW: Colour picker so you can set the title text colour of items
NEW: Simple support for handheld's Custom Filters; during synchronization
  the desktop will receive copies of the handhelds custom filters and tags
  so you can use them at leisure
NEW: Delete outlines right in the desktop
NEW: Officially supporting Linux as a platform -- Windows, Mac and Linux now!
NEW: And more .. numerous little changes and improvements through-out!


Shadow Plan 4.1!
----------------

With Christmas and New Years fast approaching we thought we'd get you a
new version of the premier outliner and list making application on Palm OS..
after all, you may need it to help track your holiday party plans!

* Some preliminary filtering has been added to the desktop; see the button
  bar and filter manager for details!

* Icons have been added to the handheld so you can associate items to
  icons for display in the list view!

* A new User Guide has been added to the distribution and website!

* Numerous little things such as prettying up the interface a touch, fixing
  some issues Windows Service Pack 2 introduced, some printout fixes,
  some fixes for the Treo line, etc etc

We at Codejedi hope this gives you a smile, and truly hope you and your
families have the best Christmas and holidays ever!

Shadow Plan 4.0!
----------------

This latest edition is mostly about the desktop side; Shadow Plan Handheld
has always been one of the top Palm OS applications and has led the way in
innovation for some time, while our desktop lagged behind. Shadow Plan 4.0
includes an all new Shadow Desktop component that will knock your socks
off! We've worked hard to create an application that is both streamlined for
productivity and as flexible to your needs as you're accustomed to from
Codejedi Inc. Being a brand new product it gives us a solid foundation to
build on so expect much growth over the next updates! While already a solid
performer for international users, this new application is also available
in an edition for non-PDA users as well.

Without listing all the minor changes, the visible changes include..

* All new Shadow Desktop application with full international support, a
  flexible, intuitive and customizable interface and power to burn!

* High resolution colour button bar for Palm OS 5 users

* Manage your To Do (Tasks) categories for linked items right in an optional
  handheld column; set, or even pre-set, To Do link categories

* A quick mode to "hide the parents" of items, flattening the handheld's view
  to show only "actionable" (deepest) items

Shadow Plan 3.0!
----------------

The guiding principle behind Shadow Plan 3.0 has been to improve your
experience by streamling common operations, adding some new user interface
"sugar" and making available some goodies so things just work better. We
listen to feedback like no other company and we've incorporated a lot of
what you've had to say here (and in every release!), and we're continuing
to grow in the direction you want us to grow in. There is still much giong
on so you can expect more to come in Shadow Plan 3.1 and forever... and of
course, we will as always try and keep updates free of charge like they have
been all these years!

Some (but not all!) highlights in Shadow Plan 3.0:

* Official enhancements for Palm Tungsten T3, Sony UX50 and Garmin iQue!
  Handera and Dana enhancements were also introduced and released to the
  public early on. Tapwave Zodiac soon! Fullscreen landscape and portrait
  with virtual grafitti fully supported
* Language plugin system with first plugin German!
* Internal alarm system! You can now set up an alarm inside of Shadow Plan
  itself, or continue to link Shadow items to the handheld's PIM applications
  for alarms. Powerful Alarm management to control and list upcoming alarms
* Handheld fast navigation popmenu for quickly jumping up and down long lists
  or zooming inside or outside of nested items
* A new shortcut tool; it can create mini applications that launch Shadow
  Plan lists which enables you to create Launcher categories of specific
  Shadow Plan lists or tie them to device buttons. You hold a device button
  down to open a different Shadow list depending how long you hold the button,
  as well as some handy other functions.
* Handheld now lets you specify "time" in addition to "date"
* Handheld auto import from todo can now be limited to certain ToDo categories
* Handheld custom made filters can now match all children to save you from
  making redundant data or tags on children items just to make them match
* Handheld speed ups for opening and closing of lists
* Desktop features a single window "tabbed interface" approach
* Desktop includes enhanced toolbars, menus, shortcuts to streamline use
* Desktop now has Find and Tag Wizard features, much like on the handheld!
* Sync conduit continues to be bullet proof, though we've nailed an issue
  that was discovered in Shadow Plan 2.8's sync conduit
* Preliminary Linux desktop released to the public
* Preliminary Mac Desktop released to the public

Shadow Plan 2.8!
----------------

We are very very pleased with this release of Shadow Plan. The goal here was
to simplify and speed up your usage of both the handheld and the Windows
desktop, and to bring the Mac OSX and Unix desktop applications closer to
release. Theres a lot of good stuff in here, and we hope you enjoy it!

* Desktop is much more flexible and easier to use!
*   Desktop now has an item clipboard for copying in and between lists
*   Very sharp and flexible printing -- select the data you want
*   Flexible exports -- select the data you want, and export in nice
      TXT (for email, word processing), CSV (for spreadsheets, etc), and more!
*   Tags and all your other data are now available in the desktop!
* Handheld application is a little more streamlined!
*   New "tab control" to make getting around List Prefs and the Global
      Preferences a lot easier
*   Palm Tungsten T 5-Way Control support!
*   New Tag Wizard makes tagging really fast and easy, and allows you
      to generate simple custom filters automatically
*   Automatically import ToDo and Datebook items right into your lists!
* And the usual round of minor improvements, fixes, etc.
* Enjoy!


Shadow Plan 2.7!
----------------

Christmas and New Years have passed and its time to get back to work.. so
why not do it with style?

* Palm OS 5 enhanced! Faster, more robust and all around smoother to use!
* Virtual Grafitti supported for the Sony Clie line of handhelds!
* Full colour theme support! Shadow Plan has always been one of the most
  customizable applications ever.. and now you can set the colour for virtually
  everything on the screen! Turn it exactly how you want it.
* And the usual round of minor improvements and fixes.
* Enjoy!

Shadow Plan 2.6!
----------------

Keeping with tradition, we are getting you a fun little update just in time
for Halloween! (We always aim for Halloween and Christmas of course :) This
update is primarily a desktop and conduit upgrade with a few handy little
improvements on the handheld side:

* All new conduit! Safe, robust and informative! If you have a power
  failure or machine crash during sync, just push the Hotsync button to
  complete the sync!
* Comprehensive conduit configuration via Hotsync Manager's Custom menu. No
  need to change your Hotsync settings when moving from office to home to
  laptop.. set up your choices once and forget them!
* A new Progress Box during Hotsync; stay informed whats going on
* Hotsync even if you've moved the Shadow Plan handheld application off to
  an expansion card
* Drag and drop to move items around in Shadow Desktop
* Handy promotion, demotion and push buttons for moving items in Shadow Desktop

Shadow Plan 2.5!
----------------

Here at Codejedi we always like to give you something new to play with over
the summer. And this is a doozy -- Shadow Plan 2.5 must be one of the most
powerful Palm OS applications ever built!

There is just so much new I will not attempt to list it all off for you.
Instead, I'll just list off some of the highlights....

* Create and save multiple custom views and layouts
* Create and save as many custom filters as you want!
* Create and apply as many tags (super powered in-list categories) as you
  want. None of this 15 category limit.. apply as many tags to an item
  as you want, and create as many tags as you want! We're all about
  flexibility here!
* Attractive and fast-sorting optional titlebar for your lists
* Scan for specially marked To Do items and auto-import them!
* Lots of other major and minor additoins and bug fixes!

Shadow Plan 2.2!
----------------

We don't rest here at Codejedi and so while Shadow Plan 2.1 was in the oven
we were already working on cooking up Shadow Plan 2.2 which is now hot and
ready to serve! This version is mainly aimed at making our Sony-owning friends
smile and to increase the smile everyone else already has. Fear not Handera
owners.. we'll have you grinning soon enough!

* Plugin cards and VFS support! There are numerous new things surrounding
  this feature but to keep it simple.. you can now store Shadow files on VFS
  and Shadow can move to/from the card for you, making it very simple to use.
  See the Reference Guide for details.

* New Filter and Hilight: "Items linked to ToDo or Datebook".

* New ToDo Import option; "Unfinished items only".

* New features for Sony users, including jog dial support and a new high
  resolution mode (colour and black and white units). See the Reference Guide
  for details of how to set it up.

Shadow Plan 2.1!
----------------

Whats that? New Years is now a month past and you're hungering for more?
Never to disappoint, Shadow Plan 2.1 is here! The Desktop hasn't had much
time to grow as efforts were focused on enabling it to work outside of the
English language (but you Germans, Chinese, French, etc, rejoice!), but the
handheld has had some fun and useful upgrades. See below!

* Desktop international support (desktop and conduit; handheld has always
  been fine!) This now means you can open virtually any language and work
  with it on your desktop!
* Basic font support in the handheld! You can now choose which font to use
  for normal and bold tests. Fonts can be chosen from system fonts (like the
  tall font), or from Font Bucket fonts (if Font Bucket is installed). Font
  Bucket and fonts can be obtained from our website:
    http://www.codejedi.com/shadowplan/downloads.html
* New custom column, Days until Due! This column, enabled through the
  Custom list view system, lets you see (for example) +5 if an item has its
  target date set to 5 days in the future, or -3 if its 3 days late.
* Global pref to cause linked ToDo's to have appended to its note the
  filename and Shadow hierarchy leading to it
* Scrollbars now available and defaulting *on*. Can be set to lefty or
  right in global pref, and List Prefs -> Opt lets you disable them for
  for any given list. So as per usual with Shadow, its all up to you :)
* Progress bar on slow open/close's and some other operations. Most lists
  load fast enough to not have progress bars.. but if a load starts to
  slow down (links, large file, low memory, etc), a progress var will show
* New From now has some filters and can add multiple items at a time; a
  status line will let you know what you just did.
* Import from ToDo and Memo now supports category selection (for todo
  lets you limit the import to one category, or all; for memo, lets you
  view a subset of all memos to import from)
* Some new filters (Radar, Due, Next Step Only); filter screen larger
  to show more at once; has a new "Describe" button to tell you what a
  filter actually does.
* Improved fundamental import/export functionality; mainly, you can save
  as PDB. This lets you read an XML file, and dump out a raw PDB you can
  upload to your handheld. You can also open PDB's. (Desktop)
* Various fixes and cleanups and UI improvements
* Keyboard: Shortcut-Space ("Space" button, not spacebar for Targus)
  toggles checkbox on main list view

Shadow Plan 2.0!
----------------

Yes -- thats right -- Shadow Plan 2.0! It's been almost a year and a half
in the making, with Shadow Plan 1.0 released in August 2000. Theres been
at least 6 major updates since, each adding major improvements to save
you time. New features, bug fixes, speedups - we've worked hard to keep
everyone having a good time :)  But Shadow is and never has been just about
software -- its about communities, and those too have come a long way.
So just keep those eyes peeled.. there is still much more to come!

Some of the new things in Shadow Plan 2.0:

* A new Windows desktop application and true synchronizing conduit! Both
  Mac and Unix versions are on their way soon, too! (built at the same time!)
* File operations popup menus on file screen; Changing categories is a snap!
* On-screen mini editor so you can edit while seeing your list!
* New graphical button bar; pretty and more bang for your buck!
* Recent files popup allows you to jump arond without going to file
  selection screen. Remembers up to 10 recently visited lists!
* New Preferences panel system to better organize the prefs of the most
  customizable Palm OS application around!
* Items now able to be any type they want (even Custom type)
* When jumping to a linked object, you can now jump back!
* Can control linked todo categories from within Shadow
* Can automatically linkitems to ToDo if you like
* Beaming files to other Shadow users
* Smarter scrolling when finding or expanding items
* New ability to create new item up one level (New Parent-level Item)
* Pushing a hardkey will rotate through categories or summon recent files
* More keyboard support through-out
* Sort level by level as well as whole list as before
* Many speedsup, linking improvements, bug fixes and general house cleaning
* General improvements through-out

As always, your suggestions are more than welcome!


Shadow Plan 1.5.14 Update
-------------------------

This is an update to tide you over until 1.6.0 which is due end of summer
with any luck. Many important fixes have taken place and some great new
features are available to you to experiment with:

NEW: Todo category may be set for todo links right in the Link Manager!

NEW: Most recent files! A new button on the file selection screen, as well
  as new option under the [V] popmenu. The recent files popup has options
  for clearing the list and also for starting a new Shadow List.

NEW: Global pref to "return to Shadow" after a link goto. This can fight with
  some hacks and launchers, so if you have a problem after activating this
  option, just disable it and follow the dialog box.

NEW: Hardkey support: Or if Shadow is attached to a hard key on your unit
  (like the To Do button, say), then hitting it will cycle throgh categories
  or bring up the recent files list, as appropriate.

NEW: The Sort dialog allows you to sort the selected item's level

NEW: More keyboard support; up/down in file selection screen. Up/down in
  list view will select an item if not already selected.

NEW: Preferences brought together into a more cohesive system

FIX: Various issues here and there with Find, mass Copy operations, etc.
FIX: A little better Palm OS 2.x (Palm Pro units) support

Shadow Plan 1.5.6 Update
------------------------

This is a minor update to 1.5.0 and 1.5.4; please see the 1.5.4 update
information below.

NEW: The ability to have multiple item types inside of a single list.
  (See the Details window for an item. In the top right, you can now
  override the default view type for the item. Also see the list
  preferences to allow you to specify that new items inherit their
  view from their siblings)
FIX: Fixed crashing bug that occured during some clipboard operations

Shadow Plan 1.5.4 Update
------------------------

This is a minor update that will help out a great number of people. Changes
include various bugfixes to the new linking features, and some new features.

NEW: Shadow can now beam a list file to someone else!
NEW: Doing a search on address links should be VERY fast now!

Shadow Plan 1.5.0
-----------------

Lots happening in this lastest release of Shadow Plan! Be sure to keep a
watchful eye on your download sites or my website, as I'm hoping to release
some Windows tools soon to translate your Shadow Plan files into RTF, HTML,
and other useful formats!

Shadow Plan 1.5.0 is another huge stride forward for Palm outliners and
task managers. You can now link to the Address Book and MemoPad in addition
to the ToDo and Datebook as before. You can archive old items as you delete
them, if you like. Many facets of the application have been tuned to make
your life easier -- Palm global Find is supported, exports have been improved,
group management is easier. For Windows users, a first step towards desktop
support is included in the Windows Enhanced Edition -- a one way backup
conduit that writes its files in the industry standard XML format. Keep your
eyes open for tools to translate the XML into RTF, HTML, and other useful
formats making sharing and printing your data very easy!

NEW! Windows backup conduit!

NEW! Killer linking! Link to address book and memopad, and expand and collapse
  address and memo links underneath an item right onscreen! Now you can appoint
  people to tasks, easily illustrate who attended a meeting or easily
  identify locations of tasks (or anything else you can think of doing!) Set
  a program to use for jumping to these links. Have as many links on an item
  as you like!

NEW! Global Find now supported! (Searching through all your Shadow files at
  once now works, and all those nifty hacks that work with Find will be happy!)

NEW! Make new items from existing todo and datebook items! Easily allows you
  to create items on your desktop or from other applications, and then bring
  them in as linked (or unlinked) Shadow task items!

NEW! More list-specific options -- autolink all new items to todo, and set
  todo linking category, among other things!

NEW! Archive your items as you delete them! If you don't wish to forget
  an item forever, just archive it! They will show up in a list called
  __ARCHIVE__ in Unfiled. You can edit this list to your desires, too!

NEW! Automaticlly saves your changes if you exit Shadow within Details
  type windows.

NEW! Drag and drop should help you more with its visual hints!

NEW! Export to DOC! (and soon Import from DOC, too!). Use any of the normal
  exporting formats, too. This should let you communicate effectively with
  palm word processors, and allows you to get your data to the desktop that
  much easier!

NEW! Can now "goto" links in Action Names! (AN used to go to wrong one,
  due to the way it works)

NEW! Better keyboard and button support -- some new and also more sensible
  shortcuts, more hardware scroll button support, etc. Arrows will move the
  selection point up and down, or collapse/expand items

NEW! Open database and XML formats! Your file operations can be a little
  faster (after a few uses) in this version; in the future they will be
  much faster. Further, other developers are welcome to link to and work
  with Shadow Plan files. Maybe more wonderful tools will pop up from others?

NEW! General bugfixes; no more looping display on long lists; demotion and
  promotion now move the item to smarter more useful locations in the sublevels
  and much much more!

* Super customizable views and display modes
* Built in views: Checklist, Tasklist, Notes, Flat View, and "Custom"
* Drag and Drop to move items around
* Powerful single and multi-item clipboard
* Sort by any criterion
* Filter and Hilight list items
* Zoom into sublevels to keep deep levels visible
* Syncronized link to ToDo and Datebook.. and even other
  Shadow outlines! Links to DOCs and images coming soon!
* Powerful Find functionality!
* Great date management (with graphing to come!)
* Very flexible auto-numbering and auto-bulleting
* Import and Export (even as HTML!)
* Colour support for emphasis, searches, and clarification
* Keyboard support (with more to come)
* Faster than before!
* Visor friendly! Clie friendly! You name it!
* The best support available -- email the author, or join
  mailing lists and web forums

This is the best version ever! But as usual, expect frequent updates
with new features all the time!

Please join the mailing lists or web forums so you are aware of incremental
updates, new releases, bug fixes, etc. See http://www.codejedi.com for
details!
